This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 31443 - graphic upgrade: complains about not enough diskspace without any reason
graphic upgrade: complains about not enough diskspace without any reason
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-11 11:43 EST by Hans de Goede
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-02 11:22:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2001-03-11 11:43:34 EST
Graphic upgrade: florence beta2 -> rc1 (I know unsupported, but that's not
the issue!)

Diskspace free:
/	200 Mb (Can't remeber exactly but somewhere above this)
/home  1000 Mb

-Upgrade fails with not enough disk space on /
-make some space on /
-continue with upgrade
-restore cleaned up files
-still 116 Mb free on /

Conclusion:
-installer very likely place the installer image in /, while it should have
put it in /home
Comment 1 Michael Fulbright 2001-03-12 11:26:37 EST
Thanks for the report we will investigate.
Comment 2 Glen Foster 2001-03-12 14:40:50 EST
This defect considered MUST-FIX (show-stopper) for Florence Gold
Comment 3 Matt Wilson 2001-03-14 10:54:36 EST
change to vc2 and ls /mnt/sysimage/rhinstall-stage2.img and ls
/mnt/sysimage/home/rhinstall-stage2.img

it should place it on the partition with the most free space.
Comment 4 Hans de Goede 2001-03-15 06:46:54 EST
Well, I've already done the upgrade, so should I just upgrade again to the same
version?

Also when should I do that (where in the install process?)
Comment 5 Matt Wilson 2001-03-15 11:29:46 EST
yes, I suppose upgrade again.  You would need to go to Ctrl+Alt+F2 during
package installation.
Comment 6 Hans de Goede 2001-03-16 03:55:56 EST
Ehm, it never gets to package installation, or are you suggesting:
-make enough space on / for things to work
-do the upgrade to the same version
-check at ctrl + alt +  F2 ?
Comment 7 Matt Wilson 2001-03-16 11:41:56 EST
just after it does the "transferring install image" part, switch and do the ls.
Comment 8 Michael Fulbright 2001-03-19 16:49:24 EST
Were you able to get the information we requested?  We are getting near the
point we cannot fix bugs and would like to consider your report fully.
Comment 9 Hans de Goede 2001-03-20 07:13:21 EST
Nope, I'll try yo get the info later today
Comment 10 Hans de Goede 2001-03-20 11:21:09 EST
I just checked this, and the install image ends up in /home so thats good, but
that means that the space calculation for / was over 100 megs off *, is it very
conservative and / or is some temp space needed for other reasons?

* I have about 100 megs free on / after the upgrade but it complained it needed
8 megs more.

Anyways I think you can close this.
Comment 11 Michael Fulbright 2001-03-20 12:05:49 EST
I'll pass the question of space calculation on to Matt.
Comment 12 Matt Wilson 2001-04-02 11:22:05 EDT
It's fairly conservative, but I've never seen it 100 mb off.

Note You need to log in before you can comment on or make changes to this bug.